package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHoursReportFactory
{
    private WorkHoursReportFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReport getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReport)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CF9DCEB1") ,com.kingdee.eas.hr.project.IWorkHoursReport.class);
    }
    
    public static com.kingdee.eas.hr.project.IWorkHoursReport getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReport)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CF9DCEB1") ,com.kingdee.eas.hr.project.IWorkHoursReport.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReport getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReport)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CF9DCEB1"));
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReport getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReport)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CF9DCEB1"));
    }
}